Bug 48480 - When there is a comment in a cell with cell-type BLANK, reading of comments doesn't work correctly.
Summary: When there is a comment in a cell with cell-type BLANK, reading of comments d...
Status: RESOLVED WONTFIX
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 3.5-FINAL
Hardware: Macintosh Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-04 05:48 UTC by Vesa Akerman
Modified: 2015-05-22 15:55 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vesa Akerman 2010-01-04 05:48:01 UTC
When there is a comment in a cell that doesn't have any other contents, reading of comments doesn't work correctly.

I have a test file, where there are comments in two cells.  In the first cell with a comment (let's call it cell A) the CELL-TYPE is STRING, and in the second cell with a comment (let's call it cell B), the CELL-TYPE is BLANK.  

When I read the cell A, I get the comment that is actually in the cell B.
Comment 1 Yegor Kozlov 2011-06-24 12:37:08 UTC
Please upload a test file that demonstrates the problem. Was that file created by POI or Excel? If by POI, please post the code to replicate it too.

Yegor
Comment 2 Dominik Stadler 2015-05-22 15:55:14 UTC
No update for a long time, therefore closing this as WONTFIX for now.